Subject: New Reply Received - Hello !!! Very bad experience regarding the item return using the mobile application I expect this i...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 13 Dec 2020 06:37:48 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  Hello !!! Very bad experience regarding the item return using the mobile application I expect this i...  Ticket comment <div>Again !!! Come on !!! 5 days back I got a call from the guy who have to collect this item I told him in the app is mentioned the collection will be 7 to 10 days now is more then a month ! I was in office he told me tomorrow I will come to collect it from that call have been 5 days or more no one come no one call only joke !!!</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1867949